Subject: bug#10907: 24.0.94; Updating display of Customize buffer

From: Stephen Berman <[email-masked]>
Date: Wed, 29 Feb 2012 13:20:57 +0100

On Wed, 29 Feb 2012 06:00:23 +0200 Eli Zaretskii <[email-masked]> wrote:

>> From: Stephen Berman <[email-masked]>
>> Date: Tue, 28 Feb 2012 19:33:16 +0100
>> Cc: [email-masked]
>> 
>> On Tue, 28 Feb 2012 19:00:15 +0100 Andreas Schwab <[email-masked]> wrote:
>> 
>> > *Note (elisp) Customization Types::
>> >
>> >        You specify the customization type in `defcustom' with the `:type'
>> >     keyword.  The argument of `:type' is evaluated, but only once when the
>> >     `defcustom' is executed, so it isn't useful for the value to vary.
>> 
>> Ah, thanks.  I feared as much.  Is there really no way to reevaluate a
>> defcustom in a running Emacs?  It would be very useful.
>
> There's custom-reevaluate-setting, but I'm not sure it will do what
> you want.

Unfortunately it doesn't (I pointed that out in my OP, assuming I was
using it properly).

Steve Berman